services:
  portainer:
    image: portainer/portainer-ce:latest
    container_name: portainer
    restart: unless-stopped
    security_opt:
      - no-new-privileges:true
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - portainer-data:/data
    ports:
      - 8001:9000
  proxy-manager:
    image: 'jc21/nginx-proxy-manager:latest'
    restart: unless-stopped
    ports:
      - '80:80'
      - '81:81'
      - '443:443'
    volumes:
      - ./proxy-manager:/data
      - ./letsencrypt:/etc/letsencrypt
    network_mode: "host"
  hello-world-web:
    image: crccheck/hello-world
    restart: unless-stopped
    ports:
      - '8000:8000'
  sonarr:
    image: lscr.io/linuxserver/sonarr:latest
    container_name: sonarr
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
    volumes:
      - ./sonarr:/config
      - /media/MYCH0/Tv:/tv #optional
      - /media/MYCH1/Tv:/tv1 #optional
      - /media/MYCH0/Downloads/complete:/downloads #optional
    ports:
      - 8989:8989
    restart: unless-stopped
  bazarr:
    image: lscr.io/linuxserver/bazarr:latest
    container_name: bazarr
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
    volumes:
      - ./bazarr:/config
      - /media/MYCH0/Movies:/movies
      - /media/MYCH1/Movies:/movies1
      - /media/MYCH0/Tv:/tv
      - /media/MYCH1/Tv:/tv1
    ports:
      - 6767:6767
    restart: unless-stopped
  sabnzbd:
    image: lscr.io/linuxserver/sabnzbd:latest
    container_name: sabnzbd
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
    volumes:
      - ./sabnzbd:/config
      - /media/MYCH0/Downloads/complete:/downloads #optional
      - /media/MYCH0/Downloads/incomplete:/incomplete-downloads #optional
    ports:
      - 8083:8080
    restart: unless-stopped
  emby:
    image: lscr.io/linuxserver/emby:latest
    container_name: emby
    hostname: emby
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
    volumes:
      - ./emby:/config
      - /media/MYCH0/Tv:/data/tvshows
      - /media/MYCH1/Tv:/data/tvshows1
      - /media/MYCH0/Movies:/data/movies
      - /media/MYCH1/Movies:/data/movies1
    ports:
      - 8096:8096
        #- 8920:8920 #optional
    devices:
      - /dev/dri:/dev/dri #optional
    restart: unless-stopped
  jellyfin:
    image: lscr.io/linuxserver/jellyfin:latest
    container_name: jellyfin
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
      - JELLYFIN_PublishedServerUrl=https://jellyfin.dare92.nl
    volumes:
      - ./jellyfin:/config
      - /media/MYCH0/Tv:/data/tvshows
      - /media/MYCH1/Tv:/data/tvshows1
      - /media/MYCH0/Movies:/data/movies
      - /media/MYCH1/Movies:/data/movies1
    ports:
      - 8097:8096
      #- 8920:8920 #optional
      #- 7359:7359/udp #optional
      #- 1900:1900/udp #optional
    restart: unless-stopped
  transmission:
    image: lscr.io/linuxserver/transmission:latest
    container_name: transmission
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
      - TRANSMISSION_WEB_HOME=/transmissionic/web
      - USER= #optional
      - PASS= #optional
      - WHITELIST= #optional
      - PEERPORT= #optional
      - HOST_WHITELIST= #optional
    volumes:
      - ./transmission/config:/config
      - /media/MYCH0/Downloads/torrents:/downloads
      - ./transmission/watch:/watch
      - ./transmission/home:/transmissionic
    ports:
      - 9091:9091
      - 51413:51413
      - 51413:51413/udp
    restart: unless-stopped
  prowlarr:
    image: lscr.io/linuxserver/prowlarr:latest
    container_name: prowlarr
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
    volumes:
      - ./prowlarr:/config
    ports:
      - 9696:9696
    restart: unless-stopped

volumes:
  portainer-data:
    external: false
